#!/usr/bin/env sh
# transfer.sh
# 
# (C) 2009 Ray Rischpater.
#
# This file is placed in the public domain.
#
# Transfers news and PDF files to the indicated directories on a specific card
PATH=/opt/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11/bin:/usr/local/bin:/usr/texbin:/Users/kf6gpe/bin/ereader
export PATH

me=$0
readercard="/Volumes/EBOOKS"

RANDOM=$$

# Wait for the device mount to complete. Not sure if this is necessary, but everyone else does it.
sleep $[($RANDOM % 5)]

# Don't continue if we're already running an instance of this script
ps -ax | grep $me | grep -v grep | grep -v $$ > /dev/null
if [ $? -eq 0 ]; then
    exit 0
fi

# If the device is there and there's stuff to transfer, start transferring the stuff
if [ -d "$readercard" ]; 
then 
    # Do the update
    update-ereader.sh

    # Delay for a bit because other mounts from the same device may trigger an update. (eeiw.)
    sleep 10

    # Prompt the user using the Finder to ask if we're done with the eReader
    open "/Users/kf6gpe/bin/ereader/prompt-eject.app"
fi




exit 0
